require 'watir'
require 'test/unit'
class TC_fillInMasterContract < Test::Unit::TestCase
	def test_fillInMasterContract
		failedSteps = 0
		passedSteps = 0
		ie = Watir::IE.new
		ie.goto("http://newdaim.idi.ntnu.no/login.php")
		begin
			assert_equal("", ie.text_field(:name, "daim_user").getContents())
			passedSteps += 1
		rescue => e
			puts("Step failed: Check text field present with name = 'daim_user' and value = ''")
			failedSteps += 1
		end
		begin
			ie.button(:value, "Logg inn").to_s()
			passedSteps += 1
		rescue => e
			puts("Step failed: Check submit button present with value = 'Logg inn'")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "daim_user").set("pettertest")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'daim_user' to value 'pettertest'")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "daim_pw").set("Makoba2050")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'daim_pw' to value 'Makoba2050'")
			failedSteps += 1
		end
		begin
			ie.button(:value, "Logg inn").click
			passedSteps += 1
		rescue => e
			puts("Step failed: Clicking button with label 'Logg inn'")
			failedSteps += 1
		end
		begin
			assert(ie.contains_text("Min masteroppgave"))
			passedSteps += 1
		rescue => e
			puts("Step failed: Check link present with label: Min masteroppgave'")
			failedSteps += 1
		end
		begin
			ie.link(:text, "Min masteroppgave").click
			passedSteps += 1
		rescue => e
			puts("Step failed: Clicking link with label 'Min masteroppgave'")
			failedSteps += 1
		end
		begin
			ie.button(:value, "Endre3...").to_s()
			passedSteps += 1
		rescue => e
			puts("Step failed: Check submit button present with value = 'Endre3...'")
			failedSteps += 1
		end
		begin
			ie.button(:value, "Endre3...").click
			passedSteps += 1
		rescue => e
			puts("Step failed: Clicking button with label 'Endre3...'")
			failedSteps += 1
		end
		begin
			assert_equal("", ie.text_field(:name, "utfoertved").getContents())
			passedSteps += 1
		rescue => e
			puts("Step failed: Check text field present with name = 'utfoertved' and value = ''")
			failedSteps += 1
		end
		begin
			assert_equal("", ie.text_field(:name, "hovedtittel").getContents())
			passedSteps += 1
		rescue => e
			puts("Step failed: Check text field present with name = 'hovedtittel' and value = ''")
			failedSteps += 1
		end
		begin
			assert_equal("", ie.text_field(:name, "undertittel").getContents())
			passedSteps += 1
		rescue => e
			puts("Step failed: Check text field present with name = 'undertittel' and value = ''")
			failedSteps += 1
		end
		begin
			assert_equal("", ie.text_field(:name, "title").getContents())
			passedSteps += 1
		rescue => e
			puts("Step failed: Check text field present with name = 'title' and value = ''")
			failedSteps += 1
		end
		begin
			assert_equal("", ie.text_field(:name, "subtitle").getContents())
			passedSteps += 1
		rescue => e
			puts("Step failed: Check text field present with name = 'subtitle' and value = ''")
			failedSteps += 1
		end
		begin
			ie.button(:value, "Lagre").to_s()
			passedSteps += 1
		rescue => e
			puts("Step failed: Check submit button present with value = 'Lagre'")
			failedSteps += 1
		end
		begin
			ie.select_list( :name , "spraak").select("Norsk (bokml)")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting select box with name 'spraak' to value 'Norsk (bokml)'")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "utfoertved").set("12345")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'utfoertved' to value '12345'")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "hovedtittel").set("54321")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'hovedtittel' to value '54321'")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "undertittel").set("12345")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'undertittel' to value '12345'")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "title").set("54321")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'title' to value '54321'")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "subtitle").set("12345")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'subtitle' to value '12345'")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "oppgavetekst").set("54321")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'oppgavetekst' to value '54321'")
			failedSteps += 1
		end
		begin
			ie.button(:value, "Lagre").click
			passedSteps += 1
		rescue => e
			puts("Step failed: Clicking button with label 'Lagre'")
			failedSteps += 1
		end



#  --- Starting new path in tree test ---
ie = Watir::IE.new

		ie.goto("http://newdaim.idi.ntnu.no/login.php")
		begin
			assert_equal("", ie.text_field(:name, "daim_user").getContents())
			passedSteps += 1
		rescue => e
			puts("Step failed: Check text field present with name = 'daim_user' and value = ''")
			failedSteps += 1
		end
		begin
			ie.button(:value, "Logg inn").to_s()
			passedSteps += 1
		rescue => e
			puts("Step failed: Check submit button present with value = 'Logg inn'")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "daim_user").set("pettertest")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'daim_user' to value 'pettertest'")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "daim_pw").set("Makoba2050")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'daim_pw' to value 'Makoba2050'")
			failedSteps += 1
		end
		begin
			ie.button(:value, "Logg inn").click
			passedSteps += 1
		rescue => e
			puts("Step failed: Clicking button with label 'Logg inn'")
			failedSteps += 1
		end
		begin
			assert(ie.contains_text("Min masteroppgave"))
			passedSteps += 1
		rescue => e
			puts("Step failed: Check link present with label: Min masteroppgave'")
			failedSteps += 1
		end
		begin
			ie.link(:text, "Min masteroppgave").click
			passedSteps += 1
		rescue => e
			puts("Step failed: Clicking link with label 'Min masteroppgave'")
			failedSteps += 1
		end
		begin
			ie.button(:value, "Endre3...").to_s()
			passedSteps += 1
		rescue => e
			puts("Step failed: Check submit button present with value = 'Endre3...'")
			failedSteps += 1
		end
		begin
			ie.button(:value, "Endre3...").click
			passedSteps += 1
		rescue => e
			puts("Step failed: Clicking button with label 'Endre3...'")
			failedSteps += 1
		end
		begin
			assert_equal("", ie.text_field(:name, "utfoertved").getContents())
			passedSteps += 1
		rescue => e
			puts("Step failed: Check text field present with name = 'utfoertved' and value = ''")
			failedSteps += 1
		end
		begin
			assert_equal("", ie.text_field(:name, "hovedtittel").getContents())
			passedSteps += 1
		rescue => e
			puts("Step failed: Check text field present with name = 'hovedtittel' and value = ''")
			failedSteps += 1
		end
		begin
			assert_equal("", ie.text_field(:name, "undertittel").getContents())
			passedSteps += 1
		rescue => e
			puts("Step failed: Check text field present with name = 'undertittel' and value = ''")
			failedSteps += 1
		end
		begin
			assert_equal("", ie.text_field(:name, "title").getContents())
			passedSteps += 1
		rescue => e
			puts("Step failed: Check text field present with name = 'title' and value = ''")
			failedSteps += 1
		end
		begin
			assert_equal("", ie.text_field(:name, "subtitle").getContents())
			passedSteps += 1
		rescue => e
			puts("Step failed: Check text field present with name = 'subtitle' and value = ''")
			failedSteps += 1
		end
		begin
			ie.button(:value, "Lagre").to_s()
			passedSteps += 1
		rescue => e
			puts("Step failed: Check submit button present with value = 'Lagre'")
			failedSteps += 1
		end
		begin
			ie.select_list( :name , "spraak").select("Norsk (bokml)")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting select box with name 'spraak' to value 'Norsk (bokml)'")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "utfoertved").set("en test")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'utfoertved' to value 'en test'")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "hovedtittel").set("en test")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'hovedtittel' to value 'en test'")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "undertittel").set("")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'undertittel' to value ''")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "title").set("")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'title' to value ''")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "subtitle").set("")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'subtitle' to value ''")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "oppgavetekst").set("")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'oppgavetekst' to value ''")
			failedSteps += 1
		end
		begin
			ie.button(:value, "Lagre").click
			passedSteps += 1
		rescue => e
			puts("Step failed: Clicking button with label 'Lagre'")
			failedSteps += 1
		end



#  --- Starting new path in tree test ---


		#ie.goto("http://newdaim.idi.ntnu.no/login.php")
		#ie.close()


		puts "Done."
		puts
		if (failedSteps == 0)
			puts (passedSteps.to_s + " steps passed, no steps failed.")
		else
			puts(passedSteps.to_s + " steps passed, " + failedSteps.to_s + " steps failed!")
		end
		puts "Press enter to exit"
		gets
	end
end
