require 'watir'
require 'test/unit'
class TC_fillInMasterContract < Test::Unit::TestCase
	def test_fillInMasterContract
		failedSteps = 0
		passedSteps = 0
		ie = Watir::IE.new
		ie.goto("http://newdaim.idi.ntnu.no/login.php")
		begin
			assert_equal("", ie.text_field(:name, "daim_user").getContents())
			passedSteps += 1
		rescue => e
			puts("Step failed: Check text field present with name = 'daim_user' and value = ''")
			failedSteps += 1
		end
		begin
			ie.button(:value, "Logg inn").to_s()
			passedSteps += 1
		rescue => e
			puts("Step failed: Check submit button present with value = 'Logg inn'")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "daim_user").set("pettertest")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'daim_user' to value 'pettertest'")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "daim_pw").set("Makoba2050")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'daim_pw' to value 'Makoba2050'")
			failedSteps += 1
		end
		begin
			ie.button(:value, "Logg inn").click
			passedSteps += 1
		rescue => e
			puts("Step failed: Clicking button with label 'Logg inn'")
			failedSteps += 1
		end
		begin
			assert(ie.contains_text("Min masteroppgave"))
			passedSteps += 1
		rescue => e
			puts("Step failed: Check link present with label: Min masteroppgave'")
			failedSteps += 1
		end
		begin
			assert(ie.contains_text("Sk etter masteroppgave"))
			passedSteps += 1
		rescue => e
			puts("Step failed: Check link present with label: Sk etter masteroppgave'")
			failedSteps += 1
		end
		begin
			assert(ie.contains_text("FAQ"))
			passedSteps += 1
		rescue => e
			puts("Step failed: Check link present with label: FAQ'")
			failedSteps += 1
		end
		begin
			ie.link(:text, "Min masteroppgave").click
			passedSteps += 1
		rescue => e
			puts("Step failed: Clicking link with label 'Min masteroppgave'")
			failedSteps += 1
		end
		begin
			ie.button(:value, "Endre1...").to_s()
			passedSteps += 1
		rescue => e
			puts("Step failed: Check submit button present with value = 'Endre1...'")
			failedSteps += 1
		end
		begin
			ie.button(:value, "Endre1...").click
			passedSteps += 1
		rescue => e
			puts("Step failed: Clicking button with label 'Endre1...'")
			failedSteps += 1
		end
		begin
			assert_equal("", ie.text_field(:name, "fornavn").getContents())
			passedSteps += 1
		rescue => e
			puts("Step failed: Check text field present with name = 'fornavn' and value = ''")
			failedSteps += 1
		end
		begin
			assert_equal("", ie.text_field(:name, "etternavn").getContents())
			passedSteps += 1
		rescue => e
			puts("Step failed: Check text field present with name = 'etternavn' and value = ''")
			failedSteps += 1
		end
		begin
			assert_equal("", ie.text_field(:name, "foedsels_dato").getContents())
			passedSteps += 1
		rescue => e
			puts("Step failed: Check text field present with name = 'foedsels_dato' and value = ''")
			failedSteps += 1
		end
		begin
			assert_equal("", ie.text_field(:name, "telefon").getContents())
			passedSteps += 1
		rescue => e
			puts("Step failed: Check text field present with name = 'telefon' and value = ''")
			failedSteps += 1
		end
		begin
			assert_equal("", ie.text_field(:name, "adresse").getContents())
			passedSteps += 1
		rescue => e
			puts("Step failed: Check text field present with name = 'adresse' and value = ''")
			failedSteps += 1
		end
		begin
			assert_equal("", ie.text_field(:name, "epost").getContents())
			passedSteps += 1
		rescue => e
			puts("Step failed: Check text field present with name = 'epost' and value = ''")
			failedSteps += 1
		end
		begin
			ie.button(:value, "Lagre").to_s()
			passedSteps += 1
		rescue => e
			puts("Step failed: Check submit button present with value = 'Lagre'")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "fornavn").set("petter")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'fornavn' to value 'petter'")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "etternavn").set("test")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'etternavn' to value 'test'")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "foedsels_dato").set("31.12.2007")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'foedsels_dato' to value '31.12.2007'")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "telefon").set("45464337")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'telefon' to value '45464337'")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "adresse").set("en test")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'adresse' to value 'en test'")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "epost").set("thuyhuet@yahoo.no")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'epost' to value 'thuyhuet@yahoo.no'")
			failedSteps += 1
		end
		begin
			ie.select_list( :name , "fak_id").select("Fakultet for Informasjonsteknologi")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting select box with name 'fak_id' to value 'Fakultet for Informasjonsteknologi'")
			failedSteps += 1
		end
		begin
			ie.select_list( :name , "inst_id").select("Institutt for matematiske fag")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting select box with name 'inst_id' to value 'Institutt for matematiske fag'")
			failedSteps += 1
		end
		begin
			ie.select_list( :name , "prog_id").select("Master i datateknikk")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting select box with name 'prog_id' to value 'Master i datateknikk'")
			failedSteps += 1
		end
		begin
			ie.select_list( :name , "retn_id").select("Intelligente systemer")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting select box with name 'retn_id' to value 'Intelligente systemer'")
			failedSteps += 1
		end
		begin
			ie.button(:value, "Lagre").click
			passedSteps += 1
		rescue => e
			puts("Step failed: Clicking button with label 'Lagre'")
			failedSteps += 1
		end



#  --- Starting new path in tree test ---

		ie = Watir::IE.new
		ie.goto("http://newdaim.idi.ntnu.no/login.php")
		begin
			assert_equal("", ie.text_field(:name, "daim_user").getContents())
			passedSteps += 1
		rescue => e
			puts("Step failed: Check text field present with name = 'daim_user' and value = ''")
			failedSteps += 1
		end
		begin
			ie.button(:value, "Logg inn").to_s()
			passedSteps += 1
		rescue => e
			puts("Step failed: Check submit button present with value = 'Logg inn'")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "daim_user").set("pettertest")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'daim_user' to value 'pettertest'")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "daim_pw").set("Makoba2050")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'daim_pw' to value 'Makoba2050'")
			failedSteps += 1
		end
		begin
			ie.button(:value, "Logg inn").click
			passedSteps += 1
		rescue => e
			puts("Step failed: Clicking button with label 'Logg inn'")
			failedSteps += 1
		end
		begin
			assert(ie.contains_text("Min masteroppgave"))
			passedSteps += 1
		rescue => e
			puts("Step failed: Check link present with label: Min masteroppgave'")
			failedSteps += 1
		end
		begin
			assert(ie.contains_text("Sk etter masteroppgave"))
			passedSteps += 1
		rescue => e
			puts("Step failed: Check link present with label: Sk etter masteroppgave'")
			failedSteps += 1
		end
		begin
			assert(ie.contains_text("FAQ"))
			passedSteps += 1
		rescue => e
			puts("Step failed: Check link present with label: FAQ'")
			failedSteps += 1
		end
		begin
			ie.link(:text, "Min masteroppgave").click
			passedSteps += 1
		rescue => e
			puts("Step failed: Clicking link with label 'Min masteroppgave'")
			failedSteps += 1
		end
		begin
			ie.button(:value, "Endre1...").to_s()
			passedSteps += 1
		rescue => e
			puts("Step failed: Check submit button present with value = 'Endre1...'")
			failedSteps += 1
		end
		begin
			ie.button(:value, "Endre1...").click
			passedSteps += 1
		rescue => e
			puts("Step failed: Clicking button with label 'Endre1...'")
			failedSteps += 1
		end
		begin
			assert_equal("", ie.text_field(:name, "fornavn").getContents())
			passedSteps += 1
		rescue => e
			puts("Step failed: Check text field present with name = 'fornavn' and value = ''")
			failedSteps += 1
		end
		begin
			assert_equal("", ie.text_field(:name, "etternavn").getContents())
			passedSteps += 1
		rescue => e
			puts("Step failed: Check text field present with name = 'etternavn' and value = ''")
			failedSteps += 1
		end
		begin
			assert_equal("", ie.text_field(:name, "foedsels_dato").getContents())
			passedSteps += 1
		rescue => e
			puts("Step failed: Check text field present with name = 'foedsels_dato' and value = ''")
			failedSteps += 1
		end
		begin
			assert_equal("", ie.text_field(:name, "telefon").getContents())
			passedSteps += 1
		rescue => e
			puts("Step failed: Check text field present with name = 'telefon' and value = ''")
			failedSteps += 1
		end
		begin
			assert_equal("", ie.text_field(:name, "adresse").getContents())
			passedSteps += 1
		rescue => e
			puts("Step failed: Check text field present with name = 'adresse' and value = ''")
			failedSteps += 1
		end
		begin
			assert_equal("", ie.text_field(:name, "epost").getContents())
			passedSteps += 1
		rescue => e
			puts("Step failed: Check text field present with name = 'epost' and value = ''")
			failedSteps += 1
		end
		begin
			ie.button(:value, "Lagre").to_s()
			passedSteps += 1
		rescue => e
			puts("Step failed: Check submit button present with value = 'Lagre'")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "fornavn").set("petter ")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'fornavn' to value 'petter '")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "etternavn").set("test")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'etternavn' to value 'test'")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "foedsels_dato").set("30.13.2006")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'foedsels_dato' to value '30.13.2006'")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "telefon").set("dfadafda")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'telefon' to value 'dfadafda'")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "adresse").set("en test")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'adresse' to value 'en test'")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "epost").set("hue pham@yahoo.no")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'epost' to value 'hue pham@yahoo.no'")
			failedSteps += 1
		end
		begin
			ie.select_list( :name , "fak_id").select("Fakultet for Informasjonsteknologi")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting select box with name 'fak_id' to value 'Fakultet for Informasjonsteknologi'")
			failedSteps += 1
		end
		begin
			ie.select_list( :name , "inst_id").select("Institutt for matematiske fag")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting select box with name 'inst_id' to value 'Institutt for matematiske fag'")
			failedSteps += 1
		end
		begin
			ie.select_list( :name , "prog_id").select("Master i datateknikk")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting select box with name 'prog_id' to value 'Master i datateknikk'")
			failedSteps += 1
		end
		begin
			ie.select_list( :name , "retn_id").select("Intelligente systemer")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting select box with name 'retn_id' to value 'Intelligente systemer'")
			failedSteps += 1
		end
		begin
			ie.button(:value, "Lagre").click
			passedSteps += 1
		rescue => e
			puts("Step failed: Clicking button with label 'Lagre'")
			failedSteps += 1
		end



#  --- Starting new path in tree test ---

		ie = Watir::IE.new
		ie.goto("http://newdaim.idi.ntnu.no/login.php")
		begin
			assert_equal("", ie.text_field(:name, "daim_user").getContents())
			passedSteps += 1
		rescue => e
			puts("Step failed: Check text field present with name = 'daim_user' and value = ''")
			failedSteps += 1
		end
		begin
			ie.button(:value, "Logg inn").to_s()
			passedSteps += 1
		rescue => e
			puts("Step failed: Check submit button present with value = 'Logg inn'")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "daim_user").set("pettertest")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'daim_user' to value 'pettertest'")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "daim_pw").set("Makoba2050")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'daim_pw' to value 'Makoba2050'")
			failedSteps += 1
		end
		begin
			ie.button(:value, "Logg inn").click
			passedSteps += 1
		rescue => e
			puts("Step failed: Clicking button with label 'Logg inn'")
			failedSteps += 1
		end
		begin
			assert(ie.contains_text("Min masteroppgave"))
			passedSteps += 1
		rescue => e
			puts("Step failed: Check link present with label: Min masteroppgave'")
			failedSteps += 1
		end
		begin
			assert(ie.contains_text("Sk etter masteroppgave"))
			passedSteps += 1
		rescue => e
			puts("Step failed: Check link present with label: Sk etter masteroppgave'")
			failedSteps += 1
		end
		begin
			assert(ie.contains_text("FAQ"))
			passedSteps += 1
		rescue => e
			puts("Step failed: Check link present with label: FAQ'")
			failedSteps += 1
		end
		begin
			ie.link(:text, "Min masteroppgave").click
			passedSteps += 1
		rescue => e
			puts("Step failed: Clicking link with label 'Min masteroppgave'")
			failedSteps += 1
		end
		begin
			ie.button(:value, "Endre1...").to_s()
			passedSteps += 1
		rescue => e
			puts("Step failed: Check submit button present with value = 'Endre1...'")
			failedSteps += 1
		end
		begin
			ie.button(:value, "Endre1...").click
			passedSteps += 1
		rescue => e
			puts("Step failed: Clicking button with label 'Endre1...'")
			failedSteps += 1
		end
		begin
			assert_equal("", ie.text_field(:name, "fornavn").getContents())
			passedSteps += 1
		rescue => e
			puts("Step failed: Check text field present with name = 'fornavn' and value = ''")
			failedSteps += 1
		end
		begin
			assert_equal("", ie.text_field(:name, "etternavn").getContents())
			passedSteps += 1
		rescue => e
			puts("Step failed: Check text field present with name = 'etternavn' and value = ''")
			failedSteps += 1
		end
		begin
			assert_equal("", ie.text_field(:name, "foedsels_dato").getContents())
			passedSteps += 1
		rescue => e
			puts("Step failed: Check text field present with name = 'foedsels_dato' and value = ''")
			failedSteps += 1
		end
		begin
			assert_equal("", ie.text_field(:name, "telefon").getContents())
			passedSteps += 1
		rescue => e
			puts("Step failed: Check text field present with name = 'telefon' and value = ''")
			failedSteps += 1
		end
		begin
			assert_equal("", ie.text_field(:name, "adresse").getContents())
			passedSteps += 1
		rescue => e
			puts("Step failed: Check text field present with name = 'adresse' and value = ''")
			failedSteps += 1
		end
		begin
			assert_equal("", ie.text_field(:name, "epost").getContents())
			passedSteps += 1
		rescue => e
			puts("Step failed: Check text field present with name = 'epost' and value = ''")
			failedSteps += 1
		end
		begin
			ie.button(:value, "Lagre").to_s()
			passedSteps += 1
		rescue => e
			puts("Step failed: Check submit button present with value = 'Lagre'")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "fornavn").set("petter")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'fornavn' to value 'petter'")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "etternavn").set("test")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'etternavn' to value 'test'")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "foedsels_dato").set("30.07.1979")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'foedsels_dato' to value '30.07.1979'")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "telefon").set("47425644")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'telefon' to value '47425644'")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "adresse").set("en test")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'adresse' to value 'en test'")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "epost").set("thuyhuet@stud.ntnu.no")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'epost' to value 'thuyhuet@stud.ntnu.no'")
			failedSteps += 1
		end
		begin
			ie.select_list( :name , "fak_id").select("Fakultet for Informasjonsteknologi")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting select box with name 'fak_id' to value 'Fakultet for Informasjonsteknologi'")
			failedSteps += 1
		end
		begin
			ie.select_list( :name , "inst_id").select("-- Velg institutt --")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting select box with name 'inst_id' to value '-- Velg institutt --'")
			failedSteps += 1
		end
		begin
			ie.select_list( :name , "prog_id").select("-- Velg studieprogram --")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting select box with name 'prog_id' to value '-- Velg studieprogram --'")
			failedSteps += 1
		end
		begin
			ie.select_list( :name , "retn_id").select("Intelligente systemer")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting select box with name 'retn_id' to value 'Intelligente systemer'")
			failedSteps += 1
		end
		begin
			ie.button(:value, "Lagre").click
			passedSteps += 1
		rescue => e
			puts("Step failed: Clicking button with label 'Lagre'")
			failedSteps += 1
		end



#  --- Starting new path in tree test ---
		ie = Watir::IE.new

		ie.goto("http://newdaim.idi.ntnu.no/login.php")
		begin
			assert_equal("", ie.text_field(:name, "daim_user").getContents())
			passedSteps += 1
		rescue => e
			puts("Step failed: Check text field present with name = 'daim_user' and value = ''")
			failedSteps += 1
		end
		begin
			ie.button(:value, "Logg inn").to_s()
			passedSteps += 1
		rescue => e
			puts("Step failed: Check submit button present with value = 'Logg inn'")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "daim_user").set("pettertest")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'daim_user' to value 'pettertest'")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "daim_pw").set("Makoba2050")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'daim_pw' to value 'Makoba2050'")
			failedSteps += 1
		end
		begin
			ie.button(:value, "Logg inn").click
			passedSteps += 1
		rescue => e
			puts("Step failed: Clicking button with label 'Logg inn'")
			failedSteps += 1
		end
		begin
			assert(ie.contains_text("Min masteroppgave"))
			passedSteps += 1
		rescue => e
			puts("Step failed: Check link present with label: Min masteroppgave'")
			failedSteps += 1
		end
		begin
			assert(ie.contains_text("Sk etter masteroppgave"))
			passedSteps += 1
		rescue => e
			puts("Step failed: Check link present with label: Sk etter masteroppgave'")
			failedSteps += 1
		end
		begin
			assert(ie.contains_text("FAQ"))
			passedSteps += 1
		rescue => e
			puts("Step failed: Check link present with label: FAQ'")
			failedSteps += 1
		end
		begin
			ie.link(:text, "Min masteroppgave").click
			passedSteps += 1
		rescue => e
			puts("Step failed: Clicking link with label 'Min masteroppgave'")
			failedSteps += 1
		end
		begin
			ie.button(:value, "Endre1...").to_s()
			passedSteps += 1
		rescue => e
			puts("Step failed: Check submit button present with value = 'Endre1...'")
			failedSteps += 1
		end
		begin
			ie.button(:value, "Endre1...").click
			passedSteps += 1
		rescue => e
			puts("Step failed: Clicking button with label 'Endre1...'")
			failedSteps += 1
		end
		begin
			assert_equal("", ie.text_field(:name, "fornavn").getContents())
			passedSteps += 1
		rescue => e
			puts("Step failed: Check text field present with name = 'fornavn' and value = ''")
			failedSteps += 1
		end
		begin
			assert_equal("", ie.text_field(:name, "etternavn").getContents())
			passedSteps += 1
		rescue => e
			puts("Step failed: Check text field present with name = 'etternavn' and value = ''")
			failedSteps += 1
		end
		begin
			assert_equal("", ie.text_field(:name, "foedsels_dato").getContents())
			passedSteps += 1
		rescue => e
			puts("Step failed: Check text field present with name = 'foedsels_dato' and value = ''")
			failedSteps += 1
		end
		begin
			assert_equal("", ie.text_field(:name, "telefon").getContents())
			passedSteps += 1
		rescue => e
			puts("Step failed: Check text field present with name = 'telefon' and value = ''")
			failedSteps += 1
		end
		begin
			assert_equal("", ie.text_field(:name, "adresse").getContents())
			passedSteps += 1
		rescue => e
			puts("Step failed: Check text field present with name = 'adresse' and value = ''")
			failedSteps += 1
		end
		begin
			assert_equal("", ie.text_field(:name, "epost").getContents())
			passedSteps += 1
		rescue => e
			puts("Step failed: Check text field present with name = 'epost' and value = ''")
			failedSteps += 1
		end
		begin
			ie.button(:value, "Lagre").to_s()
			passedSteps += 1
		rescue => e
			puts("Step failed: Check submit button present with value = 'Lagre'")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "fornavn").set("23423")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'fornavn' to value '23423'")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "etternavn").set("3434343")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'etternavn' to value '3434343'")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "foedsels_dato").set("dfadfaf")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'foedsels_dato' to value 'dfadfaf'")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "telefon").set("47415466")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'telefon' to value '47415466'")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "adresse").set("1234232")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'adresse' to value '1234232'")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "epost").set("thuyhuet@yahoo.no")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'epost' to value 'thuyhuet@yahoo.no'")
			failedSteps += 1
		end
		begin
			ie.select_list( :name , "fak_id").select("Fakultet for Informasjonsteknologi")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting select box with name 'fak_id' to value 'Fakultet for Informasjonsteknologi'")
			failedSteps += 1
		end
		begin
			ie.select_list( :name , "inst_id").select("Institutt for matematiske fag")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting select box with name 'inst_id' to value 'Institutt for matematiske fag'")
			failedSteps += 1
		end
		begin
			ie.select_list( :name , "prog_id").select("Master i datateknikk")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting select box with name 'prog_id' to value 'Master i datateknikk'")
			failedSteps += 1
		end
		begin
			ie.select_list( :name , "retn_id").select("Intelligente systemer")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting select box with name 'retn_id' to value 'Intelligente systemer'")
			failedSteps += 1
		end
		begin
			ie.button(:value, "Lagre").click
			passedSteps += 1
		rescue => e
			puts("Step failed: Clicking button with label 'Lagre'")
			failedSteps += 1
		end



#  --- Starting new path in tree test ---

	
		#ie.goto("http://newdaim.idi.ntnu.no/login.php")
		#ie.close()


		puts "Done."
		puts
		if (failedSteps == 0)
			puts (passedSteps.to_s + " steps passed, no steps failed.")
		else
			puts(passedSteps.to_s + " steps passed, " + failedSteps.to_s + " steps failed!")
		end
		puts "Press enter to exit"
		gets
	end
end
