require 'watir'
require 'test/unit'
class TC_fillInMasterContract < Test::Unit::TestCase
	def test_fillInMasterContract
		failedSteps = 0
		passedSteps = 0
		ie = Watir::IE.new
		ie.goto("http://newdaim.idi.ntnu.no/login.php")
		begin
			assert_equal("", ie.text_field(:name, "daim_user").getContents())
			passedSteps += 1
		rescue => e
			puts("Step failed: Check text field present with name = 'daim_user' and value = ''")
			failedSteps += 1
		end
		begin
			ie.button(:value, "Logg inn").to_s()
			passedSteps += 1
		rescue => e
			puts("Step failed: Check submit button present with value = 'Logg inn'")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "daim_user").set("evatest")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'daim_user' to value 'evatest'")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "daim_pw").set("Makoba2050")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'daim_pw' to value 'Makoba2050'")
			failedSteps += 1
		end
		begin
			ie.button(:value, "Logg inn").click
			passedSteps += 1
		rescue => e
			puts("Step failed: Clicking button with label 'Logg inn'")
			failedSteps += 1
		end
		begin
			assert(ie.contains_text("Min masteroppgave"))
			passedSteps += 1
		rescue => e
			puts("Step failed: Check link present with label: Min masteroppgave'")
			failedSteps += 1
		end
		begin
			ie.link(:text, "Min masteroppgave").click
			passedSteps += 1
		rescue => e
			puts("Step failed: Clicking link with label 'Min masteroppgave'")
			failedSteps += 1
		end
		begin
			ie.button(:value, "Endre5...").to_s()
			passedSteps += 1
		rescue => e
			puts("Step failed: Check submit button present with value = 'Endre5...'")
			failedSteps += 1
		end
		begin
			ie.button(:value, "Endre5...").click
			passedSteps += 1
		rescue => e
			puts("Step failed: Clicking button with label 'Endre5...'")
			failedSteps += 1
		end
		begin
			assert(ie.contains_text("uploadfile"))
			passedSteps += 1
		rescue => e
			puts("Step failed: Check link present with label: uploadfile'")
			failedSteps += 1
		end
		begin
			ie.link(:text, "uploadfile").click
			passedSteps += 1
		rescue => e
			puts("Step failed: Clicking link with label 'uploadfile'")
			failedSteps += 1
		end



#  --- Starting new path in tree test ---


		#ie.goto("http://newdaim.idi.ntnu.no/login.php")
		#ie.close()


		puts "Done."
		puts
		if (failedSteps == 0)
			puts (passedSteps.to_s + " steps passed, no steps failed.")
		else
			puts(passedSteps.to_s + " steps passed, " + failedSteps.to_s + " steps failed!")
		end
		puts "Press enter to exit"
		gets
	end
end
