require 'watir'
require 'test/unit'
class TC_displayInfoOfMasterThesis < Test::Unit::TestCase
	def test_displayInfoOfMasterThesis
		failedSteps = 0
		passedSteps = 0
		ie = Watir::IE.new
		ie.goto("http://newdaim.idi.ntnu.no/admin/index.php")
		begin
			ie.button(:value, "Masteroppgaver").to_s()
			passedSteps += 1
		rescue => e
			puts("Step failed: Check submit button present with value = 'Masteroppgaver'")
			failedSteps += 1
		end
		begin
			ie.button(:value, "Masteroppgaver").click
			passedSteps += 1
		rescue => e
			puts("Step failed: Clicking button with label 'Masteroppgaver'")
			failedSteps += 1
		end
		begin
			assert(ie.checkbox(:name, "vis_kandidat").checked? == false)
			passedSteps += 1
		rescue => e
			puts("Step failed: Check checkbox present with name = 'vis_kandidat' and checked = false")
			failedSteps += 1
		end
		begin
			assert(ie.checkbox(:name, "vis_veileder").checked? == false)
			passedSteps += 1
		rescue => e
			puts("Step failed: Check checkbox present with name = 'vis_veileder' and checked = false")
			failedSteps += 1
		end
		begin
			assert(ie.checkbox(:name, "vis_tittel").checked? == false)
			passedSteps += 1
		rescue => e
			puts("Step failed: Check checkbox present with name = 'vis_tittel' and checked = false")
			failedSteps += 1
		end
		begin
			assert_equal("", ie.text_field(:name, "s_kandidat").getContents())
			passedSteps += 1
		rescue => e
			puts("Step failed: Check text field present with name = 's_kandidat' and value = ''")
			failedSteps += 1
		end
		begin
			assert_equal("", ie.text_field(:name, "s_hovedveileder").getContents())
			passedSteps += 1
		rescue => e
			puts("Step failed: Check text field present with name = 's_hovedveileder' and value = ''")
			failedSteps += 1
		end
		begin
			assert_equal("", ie.text_field(:name, "s_tittel").getContents())
			passedSteps += 1
		rescue => e
			puts("Step failed: Check text field present with name = 's_tittel' and value = ''")
			failedSteps += 1
		end
		begin
			assert_equal("", ie.text_field(:name, "fra_dato").getContents())
			passedSteps += 1
		rescue => e
			puts("Step failed: Check text field present with name = 'fra_dato' and value = ''")
			failedSteps += 1
		end
		begin
			assert_equal("", ie.text_field(:name, "til_dato").getContents())
			passedSteps += 1
		rescue => e
			puts("Step failed: Check text field present with name = 'til_dato' and value = ''")
			failedSteps += 1
		end
		begin
			ie.button(:value, "Sk").to_s()
			passedSteps += 1
		rescue => e
			puts("Step failed: Check submit button present with value = 'Sk'")
			failedSteps += 1
		end
		begin
			ie.checkbox( :name , "vis_kandidat").set
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting checkbox with name 'vis_kandidat' to value 'true'")
			failedSteps += 1
		end
		begin
			ie.checkbox( :name , "vis_veileder").set
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting checkbox with name 'vis_veileder' to value 'true'")
			failedSteps += 1
		end
		begin
			ie.checkbox( :name , "vis_tittel").set
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting checkbox with name 'vis_tittel' to value 'true'")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "s_kandidat").set("12345")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 's_kandidat' to value '12345'")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "s_hovedveileder").set("54321")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 's_hovedveileder' to value '54321'")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "s_tittel").set("12345")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 's_tittel' to value '12345'")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "fra_dato").set("enTest")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'fra_dato' to value 'enTest'")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "til_dato").set("30.07.2009")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'til_dato' to value '30.07.2009'")
			failedSteps += 1
		end
		begin
			ie.button(:value, "Sk").click
			passedSteps += 1
		rescue => e
			puts("Step failed: Clicking button with label 'Sk'")
			failedSteps += 1
		end



#  --- Starting new path in tree test ---

		ie = Watir::IE.new
		ie.goto("http://newdaim.idi.ntnu.no/admin/index.php")
		begin
			ie.button(:value, "Masteroppgaver").to_s()
			passedSteps += 1
		rescue => e
			puts("Step failed: Check submit button present with value = 'Masteroppgaver'")
			failedSteps += 1
		end
		begin
			ie.button(:value, "Masteroppgaver").click
			passedSteps += 1
		rescue => e
			puts("Step failed: Clicking button with label 'Masteroppgaver'")
			failedSteps += 1
		end
		begin
			assert(ie.checkbox(:name, "vis_kandidat").checked? == false)
			passedSteps += 1
		rescue => e
			puts("Step failed: Check checkbox present with name = 'vis_kandidat' and checked = false")
			failedSteps += 1
		end
		begin
			assert(ie.checkbox(:name, "vis_veileder").checked? == false)
			passedSteps += 1
		rescue => e
			puts("Step failed: Check checkbox present with name = 'vis_veileder' and checked = false")
			failedSteps += 1
		end
		begin
			assert(ie.checkbox(:name, "vis_tittel").checked? == false)
			passedSteps += 1
		rescue => e
			puts("Step failed: Check checkbox present with name = 'vis_tittel' and checked = false")
			failedSteps += 1
		end
		begin
			assert_equal("", ie.text_field(:name, "s_kandidat").getContents())
			passedSteps += 1
		rescue => e
			puts("Step failed: Check text field present with name = 's_kandidat' and value = ''")
			failedSteps += 1
		end
		begin
			assert_equal("", ie.text_field(:name, "s_hovedveileder").getContents())
			passedSteps += 1
		rescue => e
			puts("Step failed: Check text field present with name = 's_hovedveileder' and value = ''")
			failedSteps += 1
		end
		begin
			assert_equal("", ie.text_field(:name, "s_tittel").getContents())
			passedSteps += 1
		rescue => e
			puts("Step failed: Check text field present with name = 's_tittel' and value = ''")
			failedSteps += 1
		end
		begin
			assert_equal("", ie.text_field(:name, "fra_dato").getContents())
			passedSteps += 1
		rescue => e
			puts("Step failed: Check text field present with name = 'fra_dato' and value = ''")
			failedSteps += 1
		end
		begin
			assert_equal("", ie.text_field(:name, "til_dato").getContents())
			passedSteps += 1
		rescue => e
			puts("Step failed: Check text field present with name = 'til_dato' and value = ''")
			failedSteps += 1
		end
		begin
			ie.button(:value, "Sk").to_s()
			passedSteps += 1
		rescue => e
			puts("Step failed: Check submit button present with value = 'Sk'")
			failedSteps += 1
		end
		begin
			ie.checkbox( :name , "vis_kandidat").set
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting checkbox with name 'vis_kandidat' to value 'true'")
			failedSteps += 1
		end
		begin
			ie.checkbox( :name , "vis_veileder").set
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting checkbox with name 'vis_veileder' to value 'true'")
			failedSteps += 1
		end
		begin
			ie.checkbox( :name , "vis_tittel").set
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting checkbox with name 'vis_tittel' to value 'true'")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "s_kandidat").set("en test")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 's_kandidat' to value 'en test'")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "s_hovedveileder").set("")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 's_hovedveileder' to value ''")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "s_tittel").set("")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 's_tittel' to value ''")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "fra_dato").set("30.07.2008")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'fra_dato' to value '30.07.2008'")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "til_dato").set("enTest")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'til_dato' to value 'enTest'")
			failedSteps += 1
		end
		begin
			ie.button(:value, "Sk").click
			passedSteps += 1
		rescue => e
			puts("Step failed: Clicking button with label 'Sk'")
			failedSteps += 1
		end



#  --- Starting new path in tree test ---

		ie = Watir::IE.new
		ie.goto("http://newdaim.idi.ntnu.no/admin/index.php")
		begin
			ie.button(:value, "Masteroppgaver").to_s()
			passedSteps += 1
		rescue => e
			puts("Step failed: Check submit button present with value = 'Masteroppgaver'")
			failedSteps += 1
		end
		begin
			ie.button(:value, "Masteroppgaver").click
			passedSteps += 1
		rescue => e
			puts("Step failed: Clicking button with label 'Masteroppgaver'")
			failedSteps += 1
		end
		begin
			assert(ie.checkbox(:name, "vis_kandidat").checked? == false)
			passedSteps += 1
		rescue => e
			puts("Step failed: Check checkbox present with name = 'vis_kandidat' and checked = false")
			failedSteps += 1
		end
		begin
			assert(ie.checkbox(:name, "vis_veileder").checked? == false)
			passedSteps += 1
		rescue => e
			puts("Step failed: Check checkbox present with name = 'vis_veileder' and checked = false")
			failedSteps += 1
		end
		begin
			assert(ie.checkbox(:name, "vis_tittel").checked? == false)
			passedSteps += 1
		rescue => e
			puts("Step failed: Check checkbox present with name = 'vis_tittel' and checked = false")
			failedSteps += 1
		end
		begin
			assert_equal("", ie.text_field(:name, "s_kandidat").getContents())
			passedSteps += 1
		rescue => e
			puts("Step failed: Check text field present with name = 's_kandidat' and value = ''")
			failedSteps += 1
		end
		begin
			assert_equal("", ie.text_field(:name, "s_hovedveileder").getContents())
			passedSteps += 1
		rescue => e
			puts("Step failed: Check text field present with name = 's_hovedveileder' and value = ''")
			failedSteps += 1
		end
		begin
			assert_equal("", ie.text_field(:name, "s_tittel").getContents())
			passedSteps += 1
		rescue => e
			puts("Step failed: Check text field present with name = 's_tittel' and value = ''")
			failedSteps += 1
		end
		begin
			assert_equal("", ie.text_field(:name, "fra_dato").getContents())
			passedSteps += 1
		rescue => e
			puts("Step failed: Check text field present with name = 'fra_dato' and value = ''")
			failedSteps += 1
		end
		begin
			assert_equal("", ie.text_field(:name, "til_dato").getContents())
			passedSteps += 1
		rescue => e
			puts("Step failed: Check text field present with name = 'til_dato' and value = ''")
			failedSteps += 1
		end
		begin
			ie.button(:value, "Sk").to_s()
			passedSteps += 1
		rescue => e
			puts("Step failed: Check submit button present with value = 'Sk'")
			failedSteps += 1
		end
		begin
			ie.checkbox( :name , "vis_kandidat").set
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting checkbox with name 'vis_kandidat' to value 'true'")
			failedSteps += 1
		end
		begin
			ie.checkbox( :name , "vis_veileder").set
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting checkbox with name 'vis_veileder' to value 'true'")
			failedSteps += 1
		end
		begin
			ie.checkbox( :name , "vis_tittel").set
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting checkbox with name 'vis_tittel' to value 'true'")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "s_kandidat").set("")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 's_kandidat' to value ''")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "s_hovedveileder").set("")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 's_hovedveileder' to value ''")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "s_tittel").set("")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 's_tittel' to value ''")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "fra_dato").set("25.07.2006")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'fra_dato' to value '25.07.2006'")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "til_dato").set("25.02.2004")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'til_dato' to value '25.02.2004'")
			failedSteps += 1
		end
		begin
			ie.button(:value, "Sk").click
			passedSteps += 1
		rescue => e
			puts("Step failed: Clicking button with label 'Sk'")
			failedSteps += 1
		end



#  --- Starting new path in tree test ---


		#ie.goto("http://newdaim.idi.ntnu.no/admin/index.php")
		#ie.close()


		puts "Done."
		puts
		if (failedSteps == 0)
			puts (passedSteps.to_s + " steps passed, no steps failed.")
		else
			puts(passedSteps.to_s + " steps passed, " + failedSteps.to_s + " steps failed!")
		end
		puts "Press enter to exit"
		gets
	end
end
