require 'watir'
require 'test/unit'
class TC_instituteInfo < Test::Unit::TestCase
	def test_instituteInfo
		failedSteps = 0
		passedSteps = 0
		ie = Watir::IE.new
		ie.goto("http://newdaim.idi.ntnu.no/admin/index.php")
		begin
			ie.button(:value, "Sysadmin").to_s()
			passedSteps += 1
		rescue => e
			puts("Step failed: Check submit button present with value = 'Sysadmin'")
			failedSteps += 1
		end
		begin
			ie.button(:value, "Sysadmin").click
			passedSteps += 1
		rescue => e
			puts("Step failed: Clicking button with label 'Sysadmin'")
			failedSteps += 1
		end
		begin
			ie.button(:value, "Mitt institutt").to_s()
			passedSteps += 1
		rescue => e
			puts("Step failed: Check submit button present with value = 'Mitt institutt'")
			failedSteps += 1
		end
		begin
			ie.button(:value, "Mitt institutt").click
			passedSteps += 1
		rescue => e
			puts("Step failed: Clicking button with label 'Mitt institutt'")
			failedSteps += 1
		end
		begin
			assert_equal("", ie.text_field(:name, "navn_no").getContents())
			passedSteps += 1
		rescue => e
			puts("Step failed: Check text field present with name = 'navn_no' and value = ''")
			failedSteps += 1
		end
		begin
			assert_equal("", ie.text_field(:name, "navn_en").getContents())
			passedSteps += 1
		rescue => e
			puts("Step failed: Check text field present with name = 'navn_en' and value = ''")
			failedSteps += 1
		end
		begin
			assert_equal("", ie.text_field(:name, "alias").getContents())
			passedSteps += 1
		rescue => e
			puts("Step failed: Check text field present with name = 'alias' and value = ''")
			failedSteps += 1
		end
		begin
			assert_equal("", ie.text_field(:name, "domene").getContents())
			passedSteps += 1
		rescue => e
			puts("Step failed: Check text field present with name = 'domene' and value = ''")
			failedSteps += 1
		end
		begin
			assert_equal("", ie.text_field(:name, "kostnadssted").getContents())
			passedSteps += 1
		rescue => e
			puts("Step failed: Check text field present with name = 'kostnadssted' and value = ''")
			failedSteps += 1
		end
		begin
			assert_equal("", ie.text_field(:name, "ibxnr").getContents())
			passedSteps += 1
		rescue => e
			puts("Step failed: Check text field present with name = 'ibxnr' and value = ''")
			failedSteps += 1
		end
		begin
			ie.button(:value, "Lagre").to_s()
			passedSteps += 1
		rescue => e
			puts("Step failed: Check submit button present with value = 'Lagre'")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "navn_no").set("12345")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'navn_no' to value '12345'")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "navn_en").set("67890")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'navn_en' to value '67890'")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "alias").set("56789012")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'alias' to value '56789012'")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "domene").set("789")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'domene' to value '789'")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "adr").set("234")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'adr' to value '234'")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "kostnadssted").set("NotTextHere")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'kostnadssted' to value 'NotTextHere'")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "ibxnr").set("CannotBeAText")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'ibxnr' to value 'CannotBeAText'")
			failedSteps += 1
		end
		begin
			ie.button(:value, "Lagre").click
			passedSteps += 1
		rescue => e
			puts("Step failed: Clicking button with label 'Lagre'")
			failedSteps += 1
		end



#  --- Starting new path in tree test ---


		#ie.goto("http://newdaim.idi.ntnu.no/admin/index.php")
		#ie.close()


		puts "Done."
		puts
		if (failedSteps == 0)
			puts (passedSteps.to_s + " steps passed, no steps failed.")
		else
			puts(passedSteps.to_s + " steps passed, " + failedSteps.to_s + " steps failed!")
		end
		puts "Press enter to exit"
		gets
	end
end
