require 'watir'
require 'test/unit'
class TC_testSearchModule < Test::Unit::TestCase
	def test_testSearchModule
		failedSteps = 0
		passedSteps = 0
		ie = Watir::IE.new
		ie.goto("http://daim.idi.ntnu.no/soek")
		begin
			assert_equal("", ie.text_field(:name, "simple_query").getContents())
			passedSteps += 1
		rescue => e
			puts("Step failed: Check text field present with name = 'simple_query' and value = ''")
			failedSteps += 1
		end
		begin
			ie.button(:value, "SK").to_s()
			passedSteps += 1
		rescue => e
			puts("Step failed: Check submit button present with value = 'SK'")
			failedSteps += 1
		end
		begin
			assert(ie.contains_text("Avansert sk"))
			passedSteps += 1
		rescue => e
			puts("Step failed: Check link present with label: Avansert sk'")
			failedSteps += 1
		end
		begin
			ie.link(:text, "Avansert sk").click
			passedSteps += 1
		rescue => e
			puts("Step failed: Clicking link with label 'Avansert sk'")
			failedSteps += 1
		end
		begin
			assert_equal("", ie.text_field(:name, "alle_ord").getContents())
			passedSteps += 1
		rescue => e
			puts("Step failed: Check text field present with name = 'alle_ord' and value = ''")
			failedSteps += 1
		end
		begin
			assert_equal("", ie.text_field(:name, "setning").getContents())
			passedSteps += 1
		rescue => e
			puts("Step failed: Check text field present with name = 'setning' and value = ''")
			failedSteps += 1
		end
		begin
			assert_equal("", ie.text_field(:name, "noen").getContents())
			passedSteps += 1
		rescue => e
			puts("Step failed: Check text field present with name = 'noen' and value = ''")
			failedSteps += 1
		end
		begin
			assert_equal("", ie.text_field(:name, "uten").getContents())
			passedSteps += 1
		rescue => e
			puts("Step failed: Check text field present with name = 'uten' and value = ''")
			failedSteps += 1
		end
		begin
			assert_equal("", ie.text_field(:name, "veil").getContents())
			passedSteps += 1
		rescue => e
			puts("Step failed: Check text field present with name = 'veil' and value = ''")
			failedSteps += 1
		end
		begin
			ie.button(:value, "Sk").to_s()
			passedSteps += 1
		rescue => e
			puts("Step failed: Check submit button present with value = 'Sk'")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "alle_ord").set("12345")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'alle_ord' to value '12345'")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "setning").set("54321")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'setning' to value '54321'")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "noen").set("12345")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'noen' to value '12345'")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "uten").set("54321")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'uten' to value '54321'")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "veil").set("12345")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'veil' to value '12345'")
			failedSteps += 1
		end
		begin
			ie.button(:value, "Sk").click
			passedSteps += 1
		rescue => e
			puts("Step failed: Clicking button with label 'Sk'")
			failedSteps += 1
		end



#  --- Starting new path in tree test ---

		ie = Watir::IE.new
		ie.goto("http://daim.idi.ntnu.no/soek")
		begin
			assert_equal("", ie.text_field(:name, "simple_query").getContents())
			passedSteps += 1
		rescue => e
			puts("Step failed: Check text field present with name = 'simple_query' and value = ''")
			failedSteps += 1
		end
		begin
			ie.button(:value, "SK").to_s()
			passedSteps += 1
		rescue => e
			puts("Step failed: Check submit button present with value = 'SK'")
			failedSteps += 1
		end
		begin
			assert(ie.contains_text("Avansert sk"))
			passedSteps += 1
		rescue => e
			puts("Step failed: Check link present with label: Avansert sk'")
			failedSteps += 1
		end
		begin
			ie.link(:text, "Avansert sk").click
			passedSteps += 1
		rescue => e
			puts("Step failed: Clicking link with label 'Avansert sk'")
			failedSteps += 1
		end
		begin
			assert_equal("", ie.text_field(:name, "alle_ord").getContents())
			passedSteps += 1
		rescue => e
			puts("Step failed: Check text field present with name = 'alle_ord' and value = ''")
			failedSteps += 1
		end
		begin
			assert_equal("", ie.text_field(:name, "setning").getContents())
			passedSteps += 1
		rescue => e
			puts("Step failed: Check text field present with name = 'setning' and value = ''")
			failedSteps += 1
		end
		begin
			assert_equal("", ie.text_field(:name, "noen").getContents())
			passedSteps += 1
		rescue => e
			puts("Step failed: Check text field present with name = 'noen' and value = ''")
			failedSteps += 1
		end
		begin
			assert_equal("", ie.text_field(:name, "uten").getContents())
			passedSteps += 1
		rescue => e
			puts("Step failed: Check text field present with name = 'uten' and value = ''")
			failedSteps += 1
		end
		begin
			assert_equal("", ie.text_field(:name, "veil").getContents())
			passedSteps += 1
		rescue => e
			puts("Step failed: Check text field present with name = 'veil' and value = ''")
			failedSteps += 1
		end
		begin
			ie.button(:value, "Sk").to_s()
			passedSteps += 1
		rescue => e
			puts("Step failed: Check submit button present with value = 'Sk'")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "alle_ord").set("")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'alle_ord' to value ''")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "setning").set("OnlyOneWord")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'setning' to value 'OnlyOneWord'")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "noen").set("")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'noen' to value ''")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "uten").set("")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'uten' to value ''")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "veil").set("")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'veil' to value ''")
			failedSteps += 1
		end
		begin
			ie.button(:value, "Sk").click
			passedSteps += 1
		rescue => e
			puts("Step failed: Clicking button with label 'Sk'")
			failedSteps += 1
		end



#  --- Starting new path in tree test ---
		ie = Watir::IE.new

		ie.goto("http://daim.idi.ntnu.no/soek")
		begin
			assert_equal("", ie.text_field(:name, "simple_query").getContents())
			passedSteps += 1
		rescue => e
			puts("Step failed: Check text field present with name = 'simple_query' and value = ''")
			failedSteps += 1
		end
		begin
			ie.button(:value, "SK").to_s()
			passedSteps += 1
		rescue => e
			puts("Step failed: Check submit button present with value = 'SK'")
			failedSteps += 1
		end
		begin
			assert(ie.contains_text("Avansert sk"))
			passedSteps += 1
		rescue => e
			puts("Step failed: Check link present with label: Avansert sk'")
			failedSteps += 1
		end
		begin
			ie.link(:text, "Avansert sk").click
			passedSteps += 1
		rescue => e
			puts("Step failed: Clicking link with label 'Avansert sk'")
			failedSteps += 1
		end
		begin
			assert_equal("", ie.text_field(:name, "alle_ord").getContents())
			passedSteps += 1
		rescue => e
			puts("Step failed: Check text field present with name = 'alle_ord' and value = ''")
			failedSteps += 1
		end
		begin
			assert_equal("", ie.text_field(:name, "setning").getContents())
			passedSteps += 1
		rescue => e
			puts("Step failed: Check text field present with name = 'setning' and value = ''")
			failedSteps += 1
		end
		begin
			assert_equal("", ie.text_field(:name, "noen").getContents())
			passedSteps += 1
		rescue => e
			puts("Step failed: Check text field present with name = 'noen' and value = ''")
			failedSteps += 1
		end
		begin
			assert_equal("", ie.text_field(:name, "uten").getContents())
			passedSteps += 1
		rescue => e
			puts("Step failed: Check text field present with name = 'uten' and value = ''")
			failedSteps += 1
		end
		begin
			assert_equal("", ie.text_field(:name, "veil").getContents())
			passedSteps += 1
		rescue => e
			puts("Step failed: Check text field present with name = 'veil' and value = ''")
			failedSteps += 1
		end
		begin
			ie.button(:value, "Sk").to_s()
			passedSteps += 1
		rescue => e
			puts("Step failed: Check submit button present with value = 'Sk'")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "alle_ord").set("")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'alle_ord' to value ''")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "setning").set("")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'setning' to value ''")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "noen").set("")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'noen' to value ''")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "uten").set("")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'uten' to value ''")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "veil").set("")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'veil' to value ''")
			failedSteps += 1
		end
		begin
			ie.button(:value, "Sk").click
			passedSteps += 1
		rescue => e
			puts("Step failed: Clicking button with label 'Sk'")
			failedSteps += 1
		end



#  --- Starting new path in tree test ---

		ie = Watir::IE.new
		ie.goto("http://daim.idi.ntnu.no/soek")
		begin
			assert_equal("", ie.text_field(:name, "simple_query").getContents())
			passedSteps += 1
		rescue => e
			puts("Step failed: Check text field present with name = 'simple_query' and value = ''")
			failedSteps += 1
		end
		begin
			ie.button(:value, "SK").to_s()
			passedSteps += 1
		rescue => e
			puts("Step failed: Check submit button present with value = 'SK'")
			failedSteps += 1
		end
		begin
			assert(ie.contains_text("Avansert sk"))
			passedSteps += 1
		rescue => e
			puts("Step failed: Check link present with label: Avansert sk'")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "simple_query").set("")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'simple_query' to value ''")
			failedSteps += 1
		end
		begin
			ie.button(:value, "SK").click
			passedSteps += 1
		rescue => e
			puts("Step failed: Clicking button with label 'SK'")
			failedSteps += 1
		end



#  --- Starting new path in tree test ---


		#ie.goto("http://daim.idi.ntnu.no/soek")
		#ie.close()


		puts "Done."
		puts
		if (failedSteps == 0)
			puts (passedSteps.to_s + " steps passed, no steps failed.")
		else
			puts(passedSteps.to_s + " steps passed, " + failedSteps.to_s + " steps failed!")
		end
		puts "Press enter to exit"
		gets
	end
end
